import { defineComponent, ref } from 'vue'
import Popups from '../popups'
import Equalizer from '../popups/equalizer'
import Part from '../popups/part'

export const partPopup = ref<any>(null)
export const equalizerPopup = ref<any>(null)

export default defineComponent({
  name: 'ColuxiuFloatWraper',
  setup() {
    return () => (
      <>
        <Popups
          ref={partPopup}
          style={{
            borderRadius: '8px',
          }}
        >
          <Part />
        </Popups>
        <Popups
          ref={equalizerPopup}
          style={{
            borderRadius: '8px',
          }}
        >
          <Equalizer />
        </Popups>
      </>
    )
  },
})
